## ros-jazzy-sensor-msgs-py 5.3.5

=== debian/changelog ===
ros-jazzy-sensor-msgs-py (5.3.5-2bookworm) bookworm; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Tue, 23 Apr 2024 16:00:00 -0000

ros-jazzy-sensor-msgs-py (5.3.4-2bookworm) bookworm; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Mon, 15 Apr 2024 16:00:00 -0000

ros-jazzy-sensor-msgs-py (5.3.3-2bookworm) bookworm; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Tue, 09 Apr 2024 16:00:00 -0000

ros-jazzy-sensor-msgs-py (5.3.2-2bookworm) bookworm; urgency=high

  * Clarify the license. (#241 <https://github.com/ros2/common_interfaces/issues/241>)
    In particular, every package in this repository is Apache 2.0
    licensed except for sensor_msgs_py.  So move the CONTRIBUTING.md
    and LICENSE files down into the individual packages, and
    make sure that sensor_msgs_py has the correct CONTRIBUTING.md
    file (it already had the correct LICENSE file).
  * Contributors: Chris Lalancette

 -- Tully Foote <tfoote@openrobotics.org>  Tue, 09 Apr 2024 16:00:00 -0000

ros-jazzy-sensor-msgs-py (5.3.1-2bookworm) bookworm; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Wed, 27 Mar 2024 16:00:00 -0000

ros-jazzy-sensor-msgs-py (5.3.0-2bookworm) bookworm; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-jazzy-sensor-msgs-py (5.2.2-2bookworm) bookworm; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Mon, 25 Dec 2023 16:00:00 -0000

ros-jazzy-sensor-msgs-py (5.2.1-2bookworm) bookworm; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Sun, 05 Nov 2023 16:00:00 -0000

ros-jazzy-sensor-msgs-py (5.2.0-2bookworm) bookworm; urgency=high

  * Allow pointcloud create_cloud function to set specific point_step (#223 <https://github.com/ros2/common_interfaces/issues/223>)
  * Fix read_points_numpy field_names parameter
  * Contributors: George Broughton

 -- Tully Foote <tfoote@openrobotics.org>  Tue, 06 Jun 2023 16:00:00 -0000

ros-jazzy-sensor-msgs-py (5.1.0-2bookworm) bookworm; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Wed, 26 Apr 2023 16:00:00 -0000

ros-jazzy-sensor-msgs-py (5.0.0-2bookworm) bookworm; urgency=high

  * Add missing dep for sensor_msgs_py (#217 <https://github.com/ros2/common_interfaces/issues/217>)
  * Contributors: Yadu

 -- Tully Foote <tfoote@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-jazzy-sensor-msgs-py (4.7.0-2bookworm) bookworm; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#210 <https://github.com/ros2/common_interfaces/issues/210>)
  * Contributors: Audrow Nash

 -- Tully Foote <tfoote@openrobotics.org>  Sun, 12 Feb 2023 16:00:00 -0000

ros-jazzy-sensor-msgs-py (4.6.1-2bookworm) bookworm; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-jazzy-sensor-msgs-py (4.6.0-2bookworm) bookworm; urgency=high

  * Add support for non standard point step sizes (#199 <https://github.com/ros2/common_interfaces/issues/199>)
  * Remove reference to old implementation (#198 <https://github.com/ros2/common_interfaces/issues/198>)
  * Contributors: Florian Vahl

 -- Tully Foote <tfoote@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-jazzy-sensor-msgs-py (4.5.0-2bookworm) bookworm; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Wed, 18 May 2022 16:00:00 -0000

ros-jazzy-sensor-msgs-py (4.4.0-2bookworm) bookworm; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-jazzy-sensor-msgs-py (4.3.0-2bookworm) bookworm; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-jazzy-sensor-msgs-py (4.2.1-2bookworm) bookworm; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Wed, 30 Mar 2022 16:00:00 -0000

ros-jazzy-sensor-msgs-py (4.2.0-2bookworm) bookworm; urgency=high

  * Add in a compatibility layer for older versions of numpy. (#185 <https://github.com/ros2/common_interfaces/issues/185>)
  * Port pointcloud creation to numpy. (#175 <https://github.com/ros2/common_interfaces/issues/175>)
  * Contributors: Chris Lalancette, Florian Vahl

 -- Tully Foote <tfoote@openrobotics.org>  Tue, 29 Mar 2022 16:00:00 -0000

ros-jazzy-sensor-msgs-py (4.1.1-2bookworm) bookworm; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Fri, 25 Mar 2022 16:00:00 -0000

ros-jazzy-sensor-msgs-py (4.1.0-2bookworm) bookworm; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-jazzy-sensor-msgs-py (4.0.0-2bookworm) bookworm; urgency=high

  * Update maintainers to Geoffrey Biggs and Tully Foote (#163 <https://github.com/ros2/common_interfaces/issues/163>)
  * Contributors: Audrow Nash

 -- Tully Foote <tfoote@openrobotics.org>  Mon, 13 Dec 2021 16:00:00 -0000

ros-jazzy-sensor-msgs-py (3.0.0-2bookworm) bookworm; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Mon, 23 Aug 2021 16:00:00 -0000

ros-jazzy-sensor-msgs-py (2.3.0-2bookworm) bookworm; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Tue, 10 Aug 2021 16:00:00 -0000

ros-jazzy-sensor-msgs-py (2.2.3-2bookworm) bookworm; urgency=high

  * Use underscores instead of dashes in setup.cfg (#150 <https://github.com/ros2/common_interfaces/issues/150>)
  * Contributors: Ivan Santiago Paunovic

 -- Tully Foote <tfoote@openrobotics.org>  Mon, 26 Apr 2021 16:00:00 -0000

ros-jazzy-sensor-msgs-py (2.2.2-2bookworm) bookworm; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-jazzy-sensor-msgs-py (2.2.1-2bookworm) bookworm; urgency=high



 -- Tully Foote <tfoote@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-jazzy-sensor-msgs-py (2.2.0-2bookworm) bookworm; urgency=high

  * Port of point_cloud2.py from ROS1 to ROS2. As seperate pkg. (#128 <https://github.com/ros2/common_interfaces/issues/128>)
  * Contributors: Sebastian Grans

 -- Tully Foote <tfoote@openrobotics.org>  Wed, 09 Dec 2020 16:00:00 -0000


